Bug 111218 - should turns on alt_entity automatically with the current locale
should turns on alt_entity automatically with the current locale
Product: Fedora
Classification: Fedora
Component: w3m (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Darshan Santani
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-11-30 06:38 EST by Tim Waugh
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-12 11:00:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2003-11-30 06:38:42 EST
Description of problem:
© comes out as '?' when rendered with -O ascii.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. w3m -O ascii -T text/html -dump /mnt/macaroni/RELEASE-NOTES.html
2. Look at the copyright notice.
Actual results:

Expected results:
Comment 1 Akira TAGOH 2003-12-15 03:45:06 EST
looks like a test case is not proper because it contains real code and
not using &copy symbol. so w3m just converts the strings to the
display charset's.
w3m already has a workaround to do this. use -o alt_entity=on. w3m is
going to use alternative ASCII characters for such symbols then.
It should be used automatically, so I would change the severity to the
enhancement because there is workaround.
Comment 2 Tim Waugh 2004-12-07 08:29:09 EST
No, that doesn't work.  Tried with w3m-0.5.1-4.
Comment 3 Akira TAGOH 2004-12-07 23:13:37 EST
Sorry, I meant for &copy, but not U+00A9. probably it's hard to show U+00A9 in
*ASCII*, because ASCII doesn't understand it. though it can be shown with
US-ASCII in mozilla, it's screwed up a bit.
Comment 4 Matthew Miller 2006-07-11 13:24:11 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.


NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Note You need to log in before you can comment on or make changes to this bug.